Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4730 - aic7xxx.o out of date after upgrade to 6.0
Summary: aic7xxx.o out of date after upgrade to 6.0
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-26 20:50 UTC by peterf
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 19:58:12 UTC


Attachments (Terms of Use)

Description peterf 1999-08-26 20:50:29 UTC
After upgrading Redhat 5.1 to 6.0, booting from harddrive
fails with message:

/lib/aic7xx.o kernel-module version mismatch compiled with
2.0.35 while we are 2.2.5-15

Then the root filesystem fails to mount, etc.

The system boots fine from the boot diskette made during
the upgrade to 6.0 and finds the SCSI drives, etc.

How can I get a aic7xx.o built for 2.2.5-15?  I didn't see
the sources anywhere in the distribution...

Comment 1 peterf 1999-08-26 20:55:59 UTC
changed architecture to i386

Comment 2 Bill Nottingham 1999-08-27 14:34:59 UTC
Take the aic7xxx.o out of your /lib directory - chances are
that it  doesn't belong to any RPM that's installed in 6.0

Comment 3 peterf 1999-08-27 14:52:59 UTC
Actually the aic7xxx.o doesn't exist in /lib.  The boot message right
before the kernel version mismatch message says "Loading aic7xxx
module".  What does this mean?

Comment 4 peterf 1999-08-27 15:09:59 UTC
I just noticed that in /boot I have a initrd-2.0.35-1.img but no
initrd-2.2.5-15.img.  My lilo.conf is pointing to the initrd-2.0.35-
1.img.  Could this be the problem?

Comment 5 Bill Nottingham 1999-08-27 16:13:59 UTC
Yes.

Make sure you have a line in your /etc/conf.modules that says:
alias scsi_hostadapter aic7xxx


and then try running
'mkinitrd /boot/initrd-2.2.5-15 2.2.5-15`
and editing your lilo.conf appropriately.

Comment 6 peterf 1999-08-27 16:48:59 UTC
That worked.  The entry in /etc/conf.modules was already there so all
I had to do was run mkinitrd and fix /etc/lilo.conf.

Thanks for your quick reply.


Note You need to log in before you can comment on or make changes to this bug.